<script lang="ts">
    import type { Recent } from "@/utils/types";
    import { Label } from "attractions";
    import { createEventDispatcher } from "svelte";

	export let recent: Recent;

	let dispatch = createEventDispatcher<{ click: Recent }>();
</script>

<div class="wrapper" on:click={() => dispatch("click", recent)}>
	<Label small title={recent.number}>{recent.name}</Label>
	<!-- <Label>{recent.number}</Label> -->
</div>

<style>
	.wrapper {
		width: 100px;
		word-break: normal;
		transition: .3s scale;
	}
	.wrapper:hover {
		cursor: pointer;
		scale: 105%;
	}
</style>